Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Campaigns

List Campaigns

GET
/v1/campaigns

Returns a paginated list of campaigns.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

Formatuuid
id[in]?array<>

Filters by any of the supplied id values.

Itemsitems <= 10
status?"cancelled" | "done" | "draft" | "live" | "paused" | "scheduled"

Current status of the resource.

status[in]?array<"cancelled" | "done" | "draft" | "live" | "paused" | "scheduled">

Filters by any of the supplied status values.

last_sendout_date[gt]?string

Only returns resources whose last sendout date is after this timestamp (exclusive). See Filtering for timestamp precision.

Formatdate-time
last_sendout_date[gte]?string

Only returns resources whose last sendout date is at or after this timestamp (inclusive). See Filtering for timestamp precision.

Formatdate-time
last_sendout_date[lt]?string

Only returns resources whose last sendout date is before this timestamp (exclusive). See Filtering for timestamp precision.

Formatdate-time
last_sendout_date[lte]?string

Only returns resources whose last sendout date is at or before this timestamp (inclusive). See Filtering for timestamp precision.

Formatdate-time
limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/campaigns"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "key": "string",      "name": "string",      "status": "cancelled",      "sendout_mode": "once",      "schedule": "string",      "send_after": "2019-08-24T14:15:22Z",      "last_sendout_date": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}